//
//  VideoPlayerView.swift
//  VideoPlayerDemo
//
//  Created by Gabriel Theodoropoulos.
//  https://serialcoder.dev
//

import SwiftUI
import AVKit

struct VideoPlayerView: View {
    var videoURL: URL? {
        Bundle.main.url(forResource: "video_sample", withExtension: "mov")
    }
    
    var body: some View {
        if let url = videoURL {
            if #available(iOS 14.0, *) {
                VideoPlayer(player: AVPlayer(url: url))
            } else {
                VideoPlayerController(videoURL: url)
            }
        } else {
            Text("Video URL not available!")
        }
    }
}

struct VideoPlayerView_Previews: PreviewProvider {
    static var previews: some View {
        VideoPlayerView()
    }
}
